Bug 733995 - [TAHI][SNMP-MIP][REGRESSION] ICMP Statistics icmpStatsInMsgs Counter do not increase
Summary: [TAHI][SNMP-MIP][REGRESSION] ICMP Statistics icmpStatsInMsgs Counter do not i...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 06:24 UTC by zhpeng
Modified: 2013-09-09 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-31 10:55:02 UTC


Attachments (Terms of Use)
/etc/snmp/snmpd.conf (1.97 KB, text/plain)
2011-08-29 06:25 UTC, zhpeng
no flags Details
/usr/share/snmp/snmp.conf (848 bytes, text/plain)
2011-08-29 06:26 UTC, zhpeng
no flags Details
/etc/rc.d/rc.local (740 bytes, text/plain)
2011-08-29 06:26 UTC, zhpeng
no flags Details

Description zhpeng 2011-08-29 06:24:57 UTC
Description of problem:
SNMP ICMP Counter do not increased when test
"ICMP Statistics icmpStatsInMsgs Counter Check"

The test specification:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/MIB_RFC4293_ICMPStatsInMsgs.html
The test log:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/18.html
The test script:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/MIB_RFC4293_ICMPStatsInMsgs.seq
The test ether dump file:
http://home.englab.nay.redhat.com/~zhpeng/ct-snmpv2c-ag-1.1.0-RHEL6.2-20110822/MIB/18_html_Link0.pcap
The net-snmp configure file:
In attachment.

Version-Release number of selected component (if applicable):
kernel-2.6.32-191.el6.x86_64
net-snmp-5.5-34.el6.x86_64.rpm
net-snmp-libs-5.5-34.el6.x86_64.rpm
net-snmp-utils-5.5-34.el6.x86_64.rpm

How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.

Actual results:
The ICMP Statistics icmpStatsInMsgs Counter did not increase.

Expected results:
The ICMP Statistics icmpStatsInMsgs Counter should increase according to the test specification.

Additional info:
I downgrade packages and it passed. So it's a regression bug.
downgrade packages:
net-snmp-5.5-21.el6.x86_64.rpm
net-snmp-libs-5.5-21.el6.x86_64.rpm
net-snmp-utils-5.5-21.el6.x86_64.rpm

Comment 1 zhpeng 2011-08-29 06:25:58 UTC
Created attachment 520293 [details]
/etc/snmp/snmpd.conf

Comment 2 zhpeng 2011-08-29 06:26:33 UTC
Created attachment 520294 [details]
/usr/share/snmp/snmp.conf

Comment 3 zhpeng 2011-08-29 06:26:55 UTC
Created attachment 520295 [details]
/etc/rc.d/rc.local

Comment 5 Jan Safranek 2011-08-31 10:55:02 UTC
Closing, see discussion in bug #733994.


Note You need to log in before you can comment on or make changes to this bug.